<Project Sdk="Microsoft.NET.Sdk">
	<PropertyGroup>
		<Nullable>enable</Nullable>
	</PropertyGroup>
	<PropertyGroup>
		<TargetFramework>net8.0</TargetFramework>
	</PropertyGroup>

	<PropertyGroup Condition="'$(Configuration)|$(Platform)'=='Debug|AnyCPU'">
		<OutputPath>..\bin</OutputPath>
	</PropertyGroup>

	<ItemGroup>
		<FrameworkReference Include="Microsoft.AspNetCore.App" />
	</ItemGroup>


	<ItemGroup>
		<ProjectReference Include="..\IRaCIS.Core.Domain\IRaCIS.Core.Domain.csproj" />
		<ProjectReference Include="..\IRaCIS.Core.Infrastructure\IRaCIS.Core.Infrastructure.csproj" />
	</ItemGroup>

	<ItemGroup>
		<PackageReference Include="EFCore.BulkExtensions" Version="8.1.1" />
		<PackageReference Include="EntityFrameworkCore.Triggered" Version="3.2.2" />
		<PackageReference Include="EntityFrameworkCore.Projectables" Version="3.0.4" />
		<PackageReference Include="EntityFrameworkCore.Exceptions.SqlServer" Version="8.1.3" />
		<PackageReference Include="MassTransit" Version="8.2.5" />
		<PackageReference Include="MassTransit.EntityFrameworkCore" Version="8.2.5" />
		<PackageReference Include="MassTransit.Hangfire" Version="8.2.5" />
		<PackageReference Include="Microsoft.Extensions.Localization.Abstractions" Version="8.0.8" />
		<PackageReference Include="Microsoft.Extensions.Logging.Debug" Version="8.0.0" />
		<PackageReference Include="Microsoft.EntityFrameworkCore.SqlServer" Version="8.0.8" />
		<PackageReference Include="Microsoft.EntityFrameworkCore.Design" Version="8.0.8">
			<PrivateAssets>all</PrivateAssets>
			<IncludeAssets>runtime; build; native; contentfiles; analyzers; buildtransitive</IncludeAssets>
		</PackageReference>
		<PackageReference Include="Microsoft.EntityFrameworkCore.Tools" Version="8.0.8">
			<PrivateAssets>all</PrivateAssets>
			<IncludeAssets>runtime; build; native; contentfiles; analyzers; buildtransitive</IncludeAssets>
		</PackageReference>
	</ItemGroup>

</Project>
